Subject: Re: [PATCH] powerpc/mm: Allow user space to map rtas_rmo_buf

From: Michael Ellerman <[email-masked]>
Date: Fri, 22 Jan 2016 16:29:24 +1100

On Thu, 2016-01-21 at 21:45 +0530, Vasant Hegde wrote:

> With commit 90a545e9 (restrict /dev/mem to idle io memory ranges) mapping
> rtas_rmo_buf from user space is failing. Hence we are not able to make
> RTAS syscall.
> 
> This patch calls page_is_rtas_user_buf before calling iomem_is_exclusive
> in  devmem_is_allowed(). This will allow user space to map rtas_rmo_buf
> and we are able to make RTAS syscall.

Thanks for the patch.

I'll put it in my fixes branch for next week.

Having said that, why the <expletive deleted> is librtas mapping /dev/mem in
the first place? Unless there is a very good reason, and probably even if there
is, we should fix that to use a sane API.

cheers